# -*- coding: utf-8 -*-
from django.conf import settings
from django.conf.urls import url, patterns


urlpatterns = patterns(
    '',
    url(
        r'^eliminazione-operazione-in-corso/(?P<numero_operazione>\d+)/(?P<codice_fiscale>\w+)/$',
        'acomea.areariservata.views.eliminazione_operazione_in_corso',
        name="eliminazione_operazione_in_corso"
    ),
    url(
        r'^stampa-sottoscrizione/(?P<operazione_id>\d+)/$',
        'acomea.areariservata.views.print_pdf_investimento', name="print_pdf_investimento"
    ),
    url(
        r'^stampa-rimborso/(?P<operazione_id>\d+)/$',
        'acomea.areariservata.views.print_pdf_disinvestimento', name="print_pdf_rimborso"
    ),
    url(
        r'^stampa-switch/(?P<operazione_id>\d+)/$',
        'acomea.areariservata.views.print_pdf_switch', name="print_pdf_switch"
    ),
    url(
        r'^stampa-operazioni-effettuate/$',
        'acomea.areariservata.views.print_excel_operazioni_effettuate',
        name="print_xls_opeffettuate",
    ),
    url(
        r'^stampa-operazioni-in-corso/$',
        'acomea.areariservata.views.print_excel_operazioni_in_corso',
        name="print_xls_operazioni_in_corso",
    ),
    url(
        r'cleansession/$',
        'acomea.areariservata.views.clean_session_ecommerce', name='clean_session'
    )
)

if settings.CMS_ENABLED:
    from acomea.areariservata.cms import urls
    # urlpatterns += urls.urlpatterns
