/*

Ecommerce JS

*/

function customTabs(){
    $('.nav-tabs a').click(function(){
        $(this).tab('show');
        hideInactiveScrolltabs();
        return false;
    });
}


function customScrollBar(){
    $('.scrollbar').jScrollPane({
        autoReinitialise: true
    });
}

function customCheckBox(){
    $('a.checkbox').on('click', function(){
        $('#'+$(this).attr('data-id')).click();
        $(this).toggleClass('active');
        return false;
    });
}

function customRadio(){
    $('a.radio').on('click', function(){

        $target = $('#'+$(this).attr('data-id'));

        $target_name = $target.attr('name');

        $('input[name="'+$target_name+'"]').each(function(){
            $('a[data-id="'+$(this).attr('id')+'"]').removeClass('active');
        });

        $target.click();

        $(this).toggleClass('active');
        return false;
    });
}

function customModal(){
    $('.open_modal').on('click', function(){
        $($(this).attr('href')).modal('show');
        return false;
    });

    $('.close_modal').on('click', function(){
        $($(this).attr('href')).modal('hide');
        return false;
    });
}

function hideInactiveScrolltabs(){
    var activeAnchor = $(".span12.central_content_central_middle .item6 .nav.nav-tabs.custom li.active a")[0];
    if($(activeAnchor).attr("href")=="#intestatario"){
        $(".dettaglio-posizione .intestatario").show();
    }
    else{
        $(".dettaglio-posizione .intestatario").hide();
    }
    if($(activeAnchor).attr("href")=="#cointestatario"){
        $(".dettaglio-posizione .cointestatario").show();
    }
    else{
        $(".dettaglio-posizione .cointestatario").hide();
    }
}

function hideInitialScrolltabs(){
    var activeAnchor = $(".span12.central_content_central_middle .item6 .nav.nav-tabs.custom li.active a")[0];
    if($(activeAnchor).attr("href")=="#intestatario"){
        $(".dettaglio-posizione .cointestatario").hide();
    }
    if($(activeAnchor).attr("href")=="#cointestatario"){
        $(".dettaglio-posizione .intestatario").hide();
    }
}

function clickPositionFrom(){
    $(".select_rapporto a").on('click', function(){
       var href=$(this).attr('href');
        if (href == "#rapporto-intestatario"){
            $("#rapporto-cointestatario .st_voce input[type='radio']:checked").attr('checked', false);
        }
        if (href == "#rapporto-cointestatario"){
            $("#rapporto-intestatario .st_voce input[type='radio']:checked").attr('checked', false);
        }
    });
}
function clickPositionTo(){
    $('.st_voce input').on('click', function(){
        var indice=$(this).attr('value');
        var tipo_piano=$('.tipo_piano-'+indice).text();
        if (tipo_piano == "PIC"){
            $('ul.investimento_pic').show();
            $('ul.investimento_pac').hide();
        }
        if (tipo_piano == "PAC"){
            $('#id_tipo_qta_movimento_2').prop('checked', true);
            $('ul.investimento_pac').show();
            $('ul.investimento_pic').hide();
            $('.informazioni_fondo').hide();
            $('#informazione-'+indice).show();
            $('#id_numero_rate_versate').prop('disabled', false);
            $('#id_numero_rate_versate').prop('readonly', true);
        }
        if (tipo_piano == "PAD"){
            $('#id_tipo_qta_movimento_2').prop('checked', true);
            $('ul.investimento_pac').show();
            $('ul.investimento_pic').hide();
            $('.informazioni_fondo').hide();
            $('#informazione-'+indice).show();
            $('#id_numero_rate_versate').prop('disabled', false);
            $('#id_numero_rate_versate').prop('readonly', true);
        }
        $('#id_importo_pic').val('');
        $('#id_importo_pac').val('');
        $('#id_numero_rate_versate').val('');
        $('#id_mifid').attr('checked', false);
        $('.informativa').hide();
    });
}

function initialPositionTo(){
    var indice=$("input[type='radio']:checked").val();
    var tipo_piano=$('.tipo_piano-'+indice).text();
    if (tipo_piano == "PIC"){
        $('ul.investimento_pic').show();
        $('ul.investimento_pac').hide();
    }
    if (tipo_piano == "PAC"){
        $('ul.investimento_pac').show();
        $('ul.investimento_pic').hide();
        $('.informazioni_fondo').hide();
        $('#informazione-'+indice).show();
        $('#id_numero_rate_versate').prop('disabled', false);
        $('#id_numero_rate_versate').prop('readonly', true);
    }
    if (tipo_piano == "PAD"){
        $('ul.investimento_pac').show();
        $('ul.investimento_pic').hide();
        $('.informazioni_fondo').hide();
        $('#informazione-'+indice).show();
        $('#id_numero_rate_versate').prop('disabled', false);
        $('#id_numero_rate_versate').prop('readonly', true);
    }
}

function clickRadio(){
}

function calcImportoRata(){
    $('#id_importo_pac').focusout(function(){
        var string_importo=($(this).val()).replace(/\s/g, "", "")
        $(this).val(string_importo);
        var string_importo=string_importo.replace(",", ".");
        var importo = parseFloat(string_importo).toFixed(2);
        var indice=$("input[type='radio']:checked").val();
        var string_ammontare_rata=($(".imp_rata."+indice).text()).replace(/\s/g, "", "").replace(",", ".");
        var ammontare_rata=parseFloat(string_ammontare_rata).toFixed(2);
        var numero_rate_versate=parseInt(importo/ammontare_rata);
        //var string_nrv=numero_rate_versate.replace(".", ",");
        if(!isNaN(numero_rate_versate)){
            $('#id_numero_rate_versate').val(numero_rate_versate);
        }
    });
}

function printPage(){
//    $('.scrollbar').css('width','690px');
    $('.scrollbar').jScrollPane({
        autoReinitialise: true
    });
    window.print();
}

function filterOperations(){
    $('#period').change(function() {
        var selected=$('#period').val();
        var url = window.location.href.substr(0, window.location.href.indexOf('?'));
        window.location.href = url + "?filter=" + selected;
        $("#period").val(selected);
//        $.get("http://127.0.0.1:8000/it/e-commerce/operazioni-effettuate/", {filter: selected})
    });
}

function GetURLParameter(sParam){
    var sPageURL = window.location.search.substring(1);
    var sURLVariables = sPageURL.split('&');
    for (var i = 0; i < sURLVariables.length; i++){
        var sParameterName = sURLVariables[i].split('=');
        if (sParameterName[0] == sParam){
            return sParameterName[1];
        }
    }
}

function setPeriod(){
    var selected = GetURLParameter('filter');
    $("#period").val(selected);
}

$(document).ready(function(e) {
    initialPositionTo();
    hideInitialScrolltabs();
    customTabs();
    customScrollBar();
    customCheckBox();
    customRadio();
    customModal();
    calcImportoRata();
    clickPositionFrom();
    clickPositionTo();
    filterOperations();
    setPeriod();
});

$(window).resize(function(){
//    $('.scrollbar').jScrollPane({
//        autoReinitialise: true
//    });
//    $('.scrollbar').each(function(item){
//        var api = $(item).data('jsp');
//        api.reinitialise();
//    });
});