$(document).ready(function () {
    var hideTableElements = function() {
        var lastRapporto = null;
        var lastContratto = null;
        $("table.table-investimenti tr").each(function () {
            var piano = $(this).find("td").eq(4).text();
            if (piano === "PIC") {
                var rapporto = $(this).find("td").eq(1).text();
                var contratto = $(this).find("td").eq(2).text();
                if (rapporto !== lastRapporto || contratto !== lastContratto) {
                    lastRapporto = rapporto;
                    lastContratto = contratto;
                } else {
                    $(this).find(".hideaway").addClass('hidden');
                }
            }
        })
    };
    var drawTableBackground = function(tipo_operazione, input_rapporto){
        var siblings_count = 0;
        if (tipo_operazione === "S" || tipo_operazione === "D") {
            siblings_count = 4;
        } else if (tipo_operazione === "I") {
            siblings_count = 2;
        }
        for (var i=0;i<siblings_count;i++){
            var element = input_rapporto.parent().parent().siblings()[i];
            $(element).addClass('bgorange');
        }
    };
    $('input[name=tipo_operazione]').click(function(){
        $('.bgorange').removeClass('bgorange');
        $("td.st_voce>span>input:checked").removeAttr('checked');
        $('.hideaway').removeClass('hidden');
        if ($(this).attr('value')==="I") {
            hideTableElements();
        }
    })
    $("td.st_voce>span>input").change(function(){
        $('.bgorange').removeClass('bgorange');
        var tipo_operazione = $('input[name=tipo_operazione]:checked').attr('value');
        var input_rapporto = $(this);
        drawTableBackground(tipo_operazione, input_rapporto);
    })
})